[arch-commits] Commit in prelink/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Thu Apr 16 22:21:55 EDT 2009


    Date: Thursday, April 16, 2009 @ 22:21:55
  Author: eric
Revision: 35765

upgpkg: prelink 20060213-2
    Added license, FHS man pages

Modified:
  prelink/trunk/PKGBUILD

----------+
 PKGBUILD |   15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-17 02:20:15 UTC (rev 35764)
+++ PKGBUILD	2009-04-17 02:21:55 UTC (rev 35765)
@@ -4,10 +4,11 @@
 
 pkgname=prelink
 pkgver=20060213
-pkgrel=1
+pkgrel=2
 pkgdesc="ELF prelinking utility to speed up dynamic linking."
 arch=(i686 x86_64)
 url="http://people.redhat.com/jakub/prelink/"
+license=('GPL')
 depends=(libelf)
 backup=(etc/prelink.conf)
 source=($url/$pkgname-$pkgver.tar.bz2 prelink.conf)
@@ -15,11 +16,11 @@
 
 
 build() {
-  cd $startdir/src/$pkgname
-  ./configure --prefix=/usr
-  /usr/bin/make || return 1
-  /usr/bin/make prefix=$startdir/pkg/usr install
-  /bin/install -D -m 0644 $startdir/src/prelink.conf \
-      $startdir/pkg/etc/prelink.conf
+  cd $srcdir/$pkgname
+  ./configure --prefix=/usr --mandir=/usr/share/man || return 1
+  make || return 1
+  make DESTDIR=$pkgdir install || return 1
+  install -D -m 0644 $srcdir/prelink.conf \
+      $pkgdir/etc/prelink.conf
 }
 # vim: ts=2 sw=2 et ft=sh



More information about the arch-commits mailing list